commit:     faffcf9fe13da6dd5eac3e92c831f5745a12298e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 12 06:13:40 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Feb 13 06:31:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=faffcf9f

dev-ruby/locale: add 2.1.3

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/locale/Manifest            |  1 +
 dev-ruby/locale/locale-2.1.3.ebuild | 52 +++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-ruby/locale/Manifest b/dev-ruby/locale/Manifest
index 9587e518989..814289ce13b 100644
--- a/dev-ruby/locale/Manifest
+++ b/dev-ruby/locale/Manifest
@@ -1 +1,2 @@
 DIST locale-2.1.2-git.tgz 99433 BLAKE2B 
b735d913e4a2f1f09131eb9aabc17cee93cd4b28f10458928942a3edd159cd1cde71226d4ad9aa9e340f5df5ba52a298805d1a4e73cb8dbc83d00bcecb7ceb85
 SHA512 
62a0c60f2102cd2d144126985748f4ab186b8f582c9597f7f4080e782196a39d72b9947b90aaecf5b208ccad0175064ac90e816472fb374d19cb5209da0f7ff4
+DIST locale-2.1.3-git.tgz 99648 BLAKE2B 
e395a442f674c73ed03d0d4d55d875c796add076132964ce2abb457d5d6e2ed8643395f283728735bbbf1ffee8b03549e882e5c66f6a589106a0a36f5b9e4ff1
 SHA512 
77877f15914dbee5ca83155f8cb84815296b4e2e4205218c9926e0265b40940cbdbe68fb048870ce4f53a6caeeb593813a2e16e8c130a19e44a28cb67c82fe25

diff --git a/dev-ruby/locale/locale-2.1.3.ebuild 
b/dev-ruby/locale/locale-2.1.3.ebuild
new file mode 100644
index 00000000000..ff8168244fa
--- /dev/null
+++ b/dev-ruby/locale/locale-2.1.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc/reference"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README.rdoc doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_GEMSPEC="locale.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A pure ruby library which provides basic APIs for localization"
+HOMEPAGE="https://github.com/ruby-gettext/locale";
+LICENSE="|| ( Ruby GPL-2 )"
+SRC_URI="https://github.com/ruby-gettext/locale/archive/${PV}.tar.gz -> 
${P}-git.tgz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~x86-macos"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/test-unit-rr )"
+
+all_ruby_prepare() {
+       sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+}
+
+all_ruby_compile() {
+       all_fakegem_compile
+
+       if use doc ; then
+               yard || die
+       fi
+}
+
+each_ruby_test() {
+       ${RUBY} test/run-test.rb || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       insinto /usr/share/doc/${PF}
+       doins -r samples
+}

Reply via email to